Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | List of all members
VersionInfoResource Class Reference
Inheritance diagram for VersionInfoResource:

## Public Member Functions
| __init__ (self)
| __contains__ (self, key)
| __getitem__ (self, key)
| get_data (self)
| unpack_from (self, data)

## Public Attributes
tuple | file_date = (0, 0)
int | file_flags = 0
int | file_flags_mask = 0x3f
int | file_os = 0x40004
int | file_subtype = 0
int | file_type = 1
tuple | file_version = (0, 0, 0, 0)
tuple | product_version = (0, 0, 0, 0)
int | signature = 0xFEEF04BD
dict | string_info = {}
int | struct_version = 0x10000
dict | var_info = {}

## Static Public Attributes
int | code_page = 0
int | type = 16

## Protected Member Functions
| _pack_info (self, data, key, value)
| _unpack_info (self, dict, data, offset)

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self | ) |

## Member Function Documentation

## ◆ __contains__()

__contains__ | ( |  | self,
|  |  | key )

## ◆ __getitem__()

__getitem__ | ( |  | self,
|  |  | key )

## ◆ _pack_info()

_pack_info | ( |  | self,
|  |  | data,
|  |  | key,
|  |  | value )
| protected

## ◆ _unpack_info()

_unpack_info | ( |  | self,
|  |  | dict,
|  |  | data,
|  |  | offset )
| protected

## ◆ get_data()

get_data | ( |  | self | ) |

## ◆ unpack_from()

unpack_from | ( |  | self,
|  |  | data )

## Member Data Documentation

## ◆ code_page

int code_page = 0
| static

## ◆ file_date

tuple file_date = (0, 0)

## ◆ file_flags

int file_flags = 0

## ◆ file_flags_mask

int file_flags_mask = 0x3f

## ◆ file_os

int file_os = 0x40004

## ◆ file_subtype

int file_subtype = 0

## ◆ file_type

int file_type = 1

## ◆ file_version

tuple file_version = (0, 0, 0, 0)

## ◆ product_version

tuple product_version = (0, 0, 0, 0)

## ◆ signature

int signature = 0xFEEF04BD

## ◆ string_info

string_info = {}

## ◆ struct_version

int struct_version = 0x10000

## ◆ type

int type = 16
| static

## ◆ var_info

var_info = {}